package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.cmd.reportshare.*;
import com.engine.kq.service.KQReportShareService;
import weaver.hrm.User;

import java.util.Map;

/**
 * 考勤报表权限共享
 */
public class KQReportShareServiceImpl extends Service implements KQReportShareService {

    @Override
    public Map<String, Object> getRightMenu(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetRightMenuCmd(params, user));
    }

    @Override
    public Map<String, Object> getSearchCondition(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetSearchConditionCmd(params, user));
    }

    @Override
    public Map<String, Object> getSearchList(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetSearchListCmd(params, user));
    }

    @Override
    public Map<String, Object> getReportShareForm(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetReportShareFormCmd(params, user));
    }

    @Override
    public Map<String, Object> saveReportShare(Map<String, Object> params, User user) {
        return commandExecutor.execute(new SaveReportShareCmd(params, user));
    }

    @Override
    public Map<String, Object> deleteReportShare(Map<String, Object> params, User user) {
        return commandExecutor.execute(new DeleteReportShareCmd(params, user));
    }
}
